获取身份验证操作
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索 operation 对象的属性和 关系。 目前,这些操作是通过使用重置密码方法启动 密码重置生成的 。 operation 对象告知调用方密码重置操作的当前状态。 可能的状态包括:
NotStarted
正在运行
Succeeded
已失败
Succeeded``Failed和 是终端状态。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
自行操作的权限 (权限从最低权限级别)
对他人的操作权限 (权限从最低到最多)
委派(工作或学校帐户)
UserAuthenticationMethod.Read、UserAuthenticationMethod.Read.All、UserAuthenticationMethod.ReadWrite、UserAuthenticationMethod.ReadWrite.All
UserAuthenticationMethod.Read.All、UserAuthenticationMethod.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
不支持。
应用程序
不支持。
不支持。
对于管理员正在操作其他用户的委派方案,管理员需要以下角色Azure AD之一 :
全局管理员
全局读取者
特权身份验证管理员
身份验证管理员
HTTP 请求
GET /users/{id | userPrincipalName}/authentication/operations/{id}
可选的查询参数
此方法不支持自定义响应的可选查询参数。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 请求的操作对象。
示例
请求
下面展示了示例请求。
GET /users/{id | userPrincipalName}/authentication/operations/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var longRunningOperation = await graphClient.Users["{user-id}"].Authentication.Operations["{longRunningOperation-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let longRunningOperation = await client.api('/users/{id | userPrincipalName}/authentication/operations/{id}')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/users/{id | userPrincipalName}/authentication/operations/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphLongRunningOperation *longRunningOperation = [[MSGraphLongRunningOperation alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
LongRunningOperation longRunningOperation = graphClient.users("{id | userPrincipalName}").authentication().operations("{id}")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
userId := "user-id"
longRunningOperationId := "longRunningOperation-id"
result, err := graphClient.UsersById(&userId).Authentication().OperationsById(&longRunningOperationId).Get()
Import-Module Microsoft.Graph.Identity.SignIns
Get-MgUserAuthenticationOperation -UserId $userId -LongRunningOperationId $longRunningOperationId
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"status": "running",
"createdDateTime": "2020-03-19T12-01-03.45Z",
"lastActionDateTime": "2020-03-19T12-01-04.23Z",
"id": "2d497bb-57bd-47a6-8749-5ccd0869f2bd"
}